Bug 888207 - Cacti included non-free Java Scripts files.
Cacti included non-free Java Scripts files.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cacti (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
: 1163872 (view as bug list)
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2012-12-18 04:44 EST by mejiko
Modified: 2014-11-13 14:55 EST (History)
5 users (show)

See Also:
Fixed In Version: cacti-0.8.8b-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 19:38:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 679980 None None None Never

  None (edit)
Description mejiko 2012-12-18 04:44:45 EST
Hello.

cacti included non free software (Java Script). 
Please see Debian bug #679980 details.

I think that this package be affected by debian bug #679980.  (I view and checked this source package)


Suggests:

1. Remove non-free files.
2. Replace to Fedora-Free file.
3. Remove Fedora repos.

Thanks.


Reference:

http://bugs.cacti.net/view.php?id=2228

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
Comment 1 mejiko 2012-12-18 04:46:18 EST
Blocking FE-Legal, This is license problem.
Comment 2 mejiko 2012-12-18 05:25:49 EST
Im Sorry, number "679980" is Debian BTS bug number, not Red hat bugzilla bug number.
Comment 3 Fedora Update System 2013-01-04 17:59:24 EST
cacti-0.8.8a-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cacti-0.8.8a-5.fc18
Comment 4 Ken Dreyer 2013-01-04 18:02:58 EST
I've verified that 0.8.8a-5 works on F19 and EL6 so I plan to push it to updates-testing and epel-testing for all branches.
Comment 5 Fedora Update System 2013-01-04 18:17:18 EST
cacti-0.8.8a-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cacti-0.8.8a-5.fc17
Comment 6 Fedora Update System 2013-01-04 18:27:49 EST
cacti-0.8.8a-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cacti-0.8.8a-5.el6
Comment 7 Fedora Update System 2013-01-04 18:28:32 EST
cacti-0.8.8a-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cacti-0.8.8a-5.el5
Comment 8 Fedora Update System 2013-01-05 01:49:09 EST
Package cacti-0.8.8a-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cacti-0.8.8a-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0234/cacti-0.8.8a-5.fc17
then log in and leave karma (feedback).
Comment 9 Ken Dreyer 2013-01-08 15:36:38 EST
Proposing for Fedora 18 NTH
Comment 10 Ken Dreyer 2013-01-11 14:08:49 EST
(Removing Fedora 18 NTH bug.)

There is a problem with the graph implementation in 0.8.8a-5. It cannot display trees more than one level deep. Any leaves more than one level deep are automatically expanded and flattened out. This makes it hard to navigate a multi-level menu.
Comment 11 Jan-Albert van Ree 2013-04-22 04:39:43 EDT
Bug is still present in 0.8.8a-7 for Fedora 19
Comment 12 Ken Dreyer 2013-04-22 12:20:39 EDT
Hi Jan-Albert,

The original author in Debian has a new patch to address the multi-level tree issue. I haven't yet had time to test or implement this new patch, but the details are here: 

http://bugs.cacti.net/view.php?id=2228
Comment 13 Fedora End Of Life 2013-07-04 02:12:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Ken Dreyer 2013-07-04 02:28:02 EDT
bumping to rawhide so this doesn't get auto-closed.
Comment 15 Fedora Update System 2013-07-14 18:15:40 EDT
cacti-0.8.8a-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cacti-0.8.8a-8.fc19
Comment 16 Fedora Update System 2013-07-14 18:18:34 EDT
cacti-0.8.8a-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cacti-0.8.8a-8.fc18
Comment 17 Fedora Update System 2013-07-14 18:20:52 EDT
cacti-0.8.8a-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cacti-0.8.8a-8.el6
Comment 18 Fedora Update System 2013-07-14 18:23:37 EDT
cacti-0.8.8a-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cacti-0.8.8a-8.el5
Comment 19 Fedora Update System 2013-07-15 21:07:50 EDT
Package cacti-0.8.8a-8.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cacti-0.8.8a-8.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10854/cacti-0.8.8a-8.el5
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2013-07-24 20:42:13 EDT
cacti-0.8.8a-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-07-24 20:48:17 EDT
cacti-0.8.8a-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-08-07 13:27:31 EDT
cacti-0.8.8b-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cacti-0.8.8b-1.el6
Comment 23 Fedora Update System 2013-08-07 13:30:53 EDT
cacti-0.8.8b-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cacti-0.8.8b-1.el5
Comment 24 Fedora Update System 2013-08-30 19:38:12 EDT
cacti-0.8.8b-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-08-30 19:39:18 EDT
cacti-0.8.8b-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Patrick Flaherty 2013-09-04 15:02:32 EDT
cacti-0.8.8b-1.el6 in Fedora EPEL 6 still has a non-interactive treeview. There's plenty of jquery references in the source in the javascript files are there, is it supposed to be interactive right now?
Comment 27 Ken Dreyer 2013-09-04 16:28:27 EDT
I think the jquery tree implementation simply did not receive enough code review before shipping. It's unfortunate because we really didn't have an option to continue shipping the non-free code, so we had to take what we could get.

Do you mind opening a separate bug for your particular issue, and including some more details about the problems you're seeing?
Comment 28 Ken Dreyer 2014-11-13 14:55:59 EST
*** Bug 1163872 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.